SYNC_SERVER(8)

NAME
sync_server - Cyrus IMAP documentation

Server side of the synchronization (replication) engine

SYNOPSIS

        sync_server [ -C config-file ] [ -p ssf]

DESCRIPTION

sync_server is the server side of the replication system. It runs on the target (replica) system and listens for connections from sync_client(8) which provides instructions for synchronizing the replica system with the master system.

sync_server reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

OPTIONS

    -C config-file
        Use the specified configuration file config-file rather than the default imapd.conf(5).

    -p ssf
        Tell sync_server that an external layer exists. An SSF (security strength factor) of 1 means an integrity protection layer exists. Any higher SSF implies some form of privacy protection.

EXAMPLES

sync_server is commonly included in the SERVICES section of cyrus.conf(5) like so:

        SERVICES {
            imap        cmd="imapd -U 30" listen="imap" prefork=0
            imaps       cmd="imapd -s -U 30" listen="imaps" prefork=0 maxchild=100
            pop3        cmd="pop3d -U 30" listen="pop3" prefork=0
            pop3s       cmd="pop3d -s -U 30" listen="pop3s" prefork=0 maxchild=100
            lmtpunix    cmd="lmtpd" listen="/var/run/cyrus/socket/lmtp" prefork=0 maxchild=20
            sieve       cmd="timsieved" listen="sieve" prefork=0
            notify      cmd="notifyd" listen="/var/run/cyrus/socket/notify" proto="udp" prefork=1
            httpd       cmd="httpd" listen=8080 prefork=1 maxchild=20
            syncserver  cmd="sync_server" listen="csync"
        }

FILES

/etc/imapd.conf, /etc/cyrus.conf

SEE ALSO

sync_client(8), imapd.conf(5), cyrus.conf(5)

AUTHOR
The Cyrus Team, David Carter (dpc22@cam.ac.uk), Ken Murchison (ken@oceana.com), Nic Bernstein (Onlight)

COPYRIGHT
1993–2025, The Cyrus Team